uucp(1)

NOM
uucp – Copie Unix vers Unix

SYNOPSIS
uucp [ options ] fichier_source fichier_destination

uucp [ options ] fichier_source... répertoire_destination

DESCRIPTION
La commande uucp copie des fichiers entre des systèmes. Chaque argument fichier est un nom de chemin sur la machine locale ou est de la forme

    système!chemin

qui est interprétée comme étant un système distant. Avec la première forme, le contenu du premier fichier est copié dans le second. Avec la seconde forme, chaque fichier source est copié dans le répertoire de destination.

Un fichier peut être transféré vers ou à partir de système2 à travers système1 en utilisant

    système1!système2!chemin.

Chaque nom de chemin ne commençant pas par « / » ou « ~ » sera suffixé du nom du répertoire actuel (à moins que les options -W ou --noexpand ne soient utilisées) ; ce chemin résultant n’existe pas nécessairement dans un système distant. Un chemin commençant par un simple « ~ » débute dans le répertoire UUCP public ; un chemin commençant par « ~nom » débute dans le répertoire home de l’utilisateur nommé. Le « ~ » est interprété sur le système approprié. Il est à remarquer que certains interpréteurs de commandes interprètent un simple « ~ » comme un répertoire home local avant que uucp ne le voit ; pour éviter cela, le « ~ » doit être mis entre guillemets.

Les métacaractères de l’interpréteur de commandes « ? * [ ] » sont interprétés sur le système approprié, en assumant qu’ils sont mis entre guillemets pour empêcher l’interpréteur de les interpréter en premier.

La copie n’est pas mise en place immédiatement, mais est mise en file d’attente pour le démon uucico(8) ; ce démon est démarré immédiatement à moins que les commutateurs -r ou --nouucico ne soient spécifiés. Dans tous les cas, lors du prochain appel du système distant, le(s) fichier(s) sont copiés.

OPTIONS
Les options suivantes peuvent être fournies à uucp.

-c, --nocopy
    Ne pas copier les fichiers source locaux dans le répertoire de file d’attente. S’ils sont retirés avant d’être traités par le démon uucico(8), leur copie échouera. Les fichiers doivent pouvoir être lus par le démon uucico(8) et par l’utilisateur appelant. C’est le comportement par défaut.

-C, --copy
    Copier les fichiers source locaux dans le répertoire de file d’attente.

-d, --directories
    Créer tous les répertoires nécessaires lors de la copie. C’est le comportement par défaut.

-f, --nodirectories
    Si un des répertoires nécessaires n’existe pas dans le chemin de destination, abandonner la copie.

-R, --recursive
    Si un des noms de fichier source est un répertoire, copier son contenu de manière récursive dans la destination (qui doit être elle-même un répertoire).

-g niveau, --grade niveau
    Définir le niveau de la commande de transfert de fichier. Les tâches de plus haut niveau sont exécutées en premier. Les niveaux vont de 0 à 9, A à Z, a à z du plus haut vers le plus bas.

-m, --mail
    Rapporter l’achèvement ou l’échec du transfert de fichiers avec mail(1).

-n utilisateur, --notify utilisateur
    Rapporter l’achèvement ou l’échec du transfert de fichiers avec mail(1) à l’utilisateur indiqué sur le système distant.

-r, --nouucico
    Ne pas démarrer le démon uucico(8) immédiatement ; plutôt mettre en file d’attente le transfert pour exécution différée.

-j, --jobid
    Afficher l’identifiant de tâche sur la sortie standard. Cet identifiant peut être supprimé plus tard en passant le commutateur -k à uustat(1). Il est possible que certaines opérations complexes produisent plus d’un identifiant, auxquels cas chacun sera affiché sur une ligne séparée. Par exemple,
    uucp sys1!~utilisateur1/fichier1 sys2!~utilisateur2/fichier2 ~utilisateur3
    va générer deux tâches différentes, une pour le sys1 et une pour le sys2.

-W, --noexpand
    Ne pas préfixer les noms de chemin relatif distant par le répertoire actuel.

-t, --uuto
    Cette option est utilisée par le script d’interpréteur uuto(1). Elle fait que uucp interprète l’argument final sous la forme système!utilisateur. Le(s) fichier(s) sont envoyés à ~/receive/UTILISATEUR/LOCAL sur le système distant, où UTILISATEUR est dans l’argument final et LOCAL est le nom du système UUCP local. De plus, uucp se comportera comme si --notify user était spécifié.

-x type, --debug type
    Activer des types de débogage particuliers. Les types suivants sont acceptés : abnormal, chat, handshake, uucp-proto, proto, port, config, spooldir, execute, incoming, outgoing. Seuls les types abnormal, config, spooldir et execute sont pertinents pour uucp.

    Plusieurs types peuvent être indiqués, séparés par des virgules, et l’option --debug peut apparaitre plusieurs fois. Un nombre peut aussi être indiqué qui activera autant de types à partir de la liste précédente. Par exemple, --debug 2 sera équivalent à --debug abnormal,chat.

-I fichier, --config fichier
    Définir le fichier de configuration à utiliser. Cette option peut ne pas être disponible selon la façon dont uucp a été compilé.

-v, --version
    Afficher les informations de version et quitter.

--help
    Afficher un message d'aide puis quitter.

VOIR AUSSI
mail(1), uux(1), uustat(1), uucico(8)

BOGUES
Certaines des options dépendent des capacités du démon uucico(8) sur le système distant.

Les commutateurs -n et -m ne fonctionnent pas pour le transfert d’un fichier d’un système distant vers un autre.

Les modes de fichier ne sont pas préservés sauf le bit d’exécution. Le fichier résultant est la propriété de l’utilisateur d’uucp.

AUTEUR
Ian Lance Taylor <ian@airs.com>

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.